diff -Nurd -x'*~' wxPythonSrc-2.5.2.8.orig/configure wxPythonSrc-2.5.2.8/configure
--- wxPythonSrc-2.5.2.8.orig/configure	2004-08-25 12:56:13.000000000 -0400
+++ wxPythonSrc-2.5.2.8/configure	2006-03-24 15:27:50.000000000 -0500
@@ -1961,7 +1961,7 @@
     unset ac_TEMP_PATH
   ;;
 
-  powerpc-*-darwin* )
+  *-*-darwin* )
         USE_BSD=1
     USE_DARWIN=1
     SO_SUFFIX=dylib
@@ -1973,15 +1973,21 @@
 #define __DARWIN__ 1
 _ACEOF
 
+    case "${host}" in
+        powerpc-* )
     cat >>confdefs.h <<\_ACEOF
 #define __POWERPC__ 1
 _ACEOF
+        ;;
+        *)
+        ;;
+    esac
 
     cat >>confdefs.h <<\_ACEOF
 #define TARGET_CARBON 1
 _ACEOF
 
-    DEFAULT_DEFAULT_wxUSE_MAC=1
+    DEFAULT_DEFAULT_wxUSE_GTK=1
   ;;
 
   *-*-beos* )
@@ -11996,7 +12002,7 @@
 
 case "${host}" in
 
-                powerpc-*-darwin* )
+                *-*-darwin* )
         INSTALL_PROGRAM="cp -fp"
         INSTALL_DATA="cp -fp"
         ;;
@@ -27748,7 +27754,7 @@
         fi
       ;;
 
-      powerpc-*-darwin* )
+      *-*-darwin* )
         SAMPLES_RPATH_POSTLINK="\$(top_builddir)change-install-names \$(LIBDIRNAME) \$(prefix) \$@"
         cat <<EOF >change-install-names
 #!/bin/sh
@@ -38353,7 +38359,7 @@
             *-pc-os2_emx | *-pc-os2-emx )
                 PLATFORM_OS2=1
             ;;
-            powerpc-*-darwin* )
+            *-*-darwin* )
                 PLATFORM_MAC=1
                 PLATFORM_MACOSX=1
             ;;
@@ -38460,7 +38466,7 @@
             LIBPREFIX=""
             LIBEXT=".$OS2_LIBEXT"
         ;;
-        powerpc-*-darwin* )
+        *-*-darwin* )
             SO_SUFFIX="dylib"
             SO_SUFFIX_MODULE="bundle"
         ;;
@@ -39341,7 +39347,7 @@
         DEPSMODE=gcc
         DEPS_TRACKING=1
         case "${BAKEFILE_HOST}" in
-            powerpc-*-darwin* )
+            *-*-darwin* )
                                                 DEPSFLAG_GCC="-no-cpp-precomp -MMD"
             ;;
             * )
@@ -40928,7 +40934,7 @@
     GCC_PRAGMA_FLAGS="-DWX_PRECOMP -DNO_GCC_PRAGMA"
 else
     case "${host}" in
-        powerpc-*-darwin* )
+        *-*-darwin* )
                                     GCC_PRAGMA_FLAGS="-DNO_GCC_PRAGMA"
             ;;
         *-*-mingw32* )
diff -Nurd -x'*~' wxPythonSrc-2.5.2.8.orig/src/common/dynlib.cpp wxPythonSrc-2.5.2.8/src/common/dynlib.cpp
--- wxPythonSrc-2.5.2.8.orig/src/common/dynlib.cpp	2004-06-18 12:04:50.000000000 -0400
+++ wxPythonSrc-2.5.2.8/src/common/dynlib.cpp	2006-03-24 15:26:29.000000000 -0500
@@ -52,6 +52,10 @@
 // ============================================================================
 
 #if defined(__DARWIN__)
+#include <AvailabilityMacros.h>
+#if defined(AVAILABLE_MAC_OS_X_VERSION_10_3_AND_LATER)
+#include <dlfcn.h>
+#else
 // ---------------------------------------------------------------------------
 // For Darwin/Mac OS X
 //   supply the sun style dlopen functions in terms of Darwin NS*
@@ -141,6 +145,7 @@
     return addr;
 }
 
+#endif // defined(AVAILABLE_MAC_OS_X_VERSION_10_3_AND_LATER)
 #endif // defined(__DARWIN__)
 
 
--- wxPython/src/generic/dcpsg.cpp	2004-08-09 17:36:39.000000000 -0400
+++ wxPython/src/generic/dcpsg.cpp	2007-03-12 15:44:47.000000000 -0400
@@ -1201,21 +1201,21 @@
   wxPostScriptDC* caller;
 };
 
-static int paps_move_to( FT_Vector* to, void *user_data)
+static int paps_move_to( const FT_Vector* to, void *user_data)
 {
   OutlineInfo *outline_info = (OutlineInfo*)user_data;
   outline_info->caller->PsPrintf( wxT("%d %d moveto\n"), (int)to->x, (int)to->y );
   return 0;
 }
 
-static int paps_line_to( FT_Vector*  to, void *user_data)
+static int paps_line_to( const FT_Vector*  to, void *user_data)
 {
   OutlineInfo *outline_info = (OutlineInfo*)user_data;
   outline_info->caller->PsPrintf( wxT("%d %d lineto\n"), (int)to->x , (int)to->y );
   return 0;
 }
 
-static int paps_conic_to( FT_Vector*  control, FT_Vector*  to, void *user_data)
+static int paps_conic_to( const FT_Vector*  control, const FT_Vector*  to, void *user_data)
 {
   OutlineInfo *outline_info = (OutlineInfo*)user_data;
   outline_info->caller->PsPrintf( wxT("%d %d %d %d conicto\n"),
@@ -1227,8 +1227,8 @@
 }
 
 static int
-paps_cubic_to( FT_Vector*  control1, FT_Vector*  control2,
-               FT_Vector*  to, void *user_data)
+paps_cubic_to( const FT_Vector*  control1, const FT_Vector*  control2,
+               const FT_Vector*  to, void *user_data)
 {
   OutlineInfo *outline_info = (OutlineInfo*)user_data;
   outline_info->caller->PsPrintf(wxT("%d %d %d %d %d %d curveto\n"),
--- 2.8/src/gtk/gsockgtk.cpp (revision 60599)
+++ 2.8/src/gtk/gsockgtk.cpp (working copy)
@@ -15,8 +15,13 @@
 #include <stdlib.h>
 #include <stdio.h>

+// newer versions of glib define its own GSocket but we unfortunately use this
+// name in our own (semi-)public header and so can't change it -- rename glib
+// one instead
+#define GSocket GlibGSocket
 #include <gdk/gdk.h>
 #include <glib.h>
+#undef GSocket

 #include "wx/gsocket.h"
 #include "wx/unix/gsockunx.h"
